### Function

# Dex find_program_in_path

since: 1.1

#### Declaration [src]

    DexFuture*
    dex_find_program_in_path (
      const char* program
    )

#### Description [src]

Locates the first executable named program in the user’s path.

This runs `g_find_program_in_path()` on a dedicated thread.

Available since: 1.1

#### Parameters

`program`

  Type: `const char*`

  The name of the executable such as “grep”.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a string containing the path or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.